.home {
  background-image: url("../../assets/background.svg");
  background-repeat: no-repeat;
  background-size: 65%;
  width: 100vw;
  height: 100vh;
  text-align: center;

  p {
    font-family: Sora;
    font-size: 12px;
    color: #6F6F6F;
  }
}

.home__division {
  padding: 7rem 9rem 3rem;
  display: flex;
  flex-direction: row;
  width: 100%;
  height: 97%;
  justify-content: space-between;
  box-sizing: border-box;
}

.text {
  text-align: left;
}

.text h3{
  font-style: normal;
  font-weight: normal;
  font-size: 1.5rem;
  color: #E5E5E5;
  margin-top: 20%;
}

.text h2{
  font-style: normal;
  font-weight: normal;
  font-size: 3rem;
  line-height: 47px;
  color: #FFFFFF;
  line-height: 4rem;
}

.form__division {
  width: 50%;
}

.example-form {
  min-width: 150px;
  width: 100%;
  margin: 25% auto 0 auto;
  display: flex;
  justify-content: center;
}


.button {
  &.mat-raised-button {
    margin-left: 20px;
  }
  width: fit-content;
  height: 50px;
  display: flex;
  align-items: center;
  line-height: 24px;
  justify-content: center;
}

.flag {
  object-fit: cover;
  width: 20px;
  height: 14px;
}

.loader {
  width: 100%;
  height: 100%;
  display: flex;
  align-items: center;
  justify-content: center;
}

mat-select-trigger {
  display: flex;
  align-items: center;
  gap: 5px;
}

.flag-option {
  .mat-option-text{
    display: flex;
    align-items: center;
    gap: 15px;
  }
}

.number-field {
  width: 250px;
  &.mat-form-field-appearance-fill .mat-form-field-flex{
    height: 50px;
    border-radius: 0 4px 0 0;
  }
}

.country-field {
  width: 105px;
  &.mat-form-field-appearance-fill .mat-form-field-flex{
    height: 50px;
    border-right: 0.5px solid #6F6F6F;
    border-radius: 4px 0 0 0;
  }
}

.custom-snackbar-valid {
  background-color: #CDDC39;
  &.mat-snack-bar-container {
    min-width: 180px;
    color: #313131;
    margin-bottom: 50px;
  }
  & span {
    font-size: 1rem;
  }
}

.custom-snackbar-invalid {
  background-color: #D81B60;
  &.mat-snack-bar-container {
    min-width: 180px;
    margin-bottom: 50px;
  }
  & span {
    font-size: 1rem;
  }
}

.custom-snackbar-warning {
  background-color: #0097a7;
  &.mat-snack-bar-container{
    min-width: 180px;
    margin-bottom: 50px;
  }
}

input::-webkit-outer-spin-button,
input::-webkit-inner-spin-button {
  -webkit-appearance: none;
  margin: 0;
}

input[type=number] {
  -moz-appearance: textfield;
}
